Summary:	Python bindings for the IlmBase libraries
Summary(pl.UTF-8):	Wiązania Pythona do bibliotek IlmBase
Name:		python-pyilmbase
Version:	2.2.1
Release:	4
License:	BSD
Group:		Libraries/Python
Source0:	http://download.savannah.gnu.org/releases/openexr/pyilmbase-%{version}.tar.gz
# Source0-md5:	363d99ecf7a4a03bb91ac427d86c01bd
Patch0:		%{name}-link.patch
URL:		http://www.openexr.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.6.3
BuildRequires:	boost-python-devel
BuildRequires:	ilmbase-devel >= 2.2.1
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	python-numpy-devel
BuildRequires:	rpm-pythonprov
Requires:	ilmbase >= 2.2.1
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PyIlmBase package provides python bindings for the IlmBase
libraries.

%description -l pl.UTF-8
Pakiet PyIlmBase dostarcza wiązania Pythona do bibliotek IlmBase.

%package devel
Summary:	Header files for IlmBase Python bindings
Summary(pl.UTF-8):	Pliki nagłówkowe wiązań Pyhona do bibliotek IlmBase
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	boost-python-devel
Requires:	ilmbase-devel >= 2.2.1
Requires:	libstdc++-devel

%define		specflags -std=c++11

%description devel
Header files for IlmBase Python bindings.

%description devel -l pl.UTF-8
Pliki nagłówkowe wiązań Pyhona do bibliotek IlmBase.

%prep
%setup -q -n pyilmbase-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--with-boost-python-libname=boost_python%(echo %{py_ver} | tr -d .)

# g++ eats a lot of memory, don't run many in parallel
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

# parallel build fails at libPyImath/imathmodule install
%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libPy*.la \
	$RPM_BUILD_ROOT%{py_sitedir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libPyIex.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libPyIex.so.23
%attr(755,root,root) %{_libdir}/libPyImath.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libPyImath.so.23
%attr(755,root,root) %{py_sitedir}/iexmodule.so
%attr(755,root,root) %{py_sitedir}/imathmodule.so
%attr(755,root,root) %{py_sitedir}/imathnumpymodule.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libPyIex.so
%attr(755,root,root) %{_libdir}/libPyImath.so
%{_includedir}/OpenEXR/PyIex*.h
%{_includedir}/OpenEXR/PyIlmBaseConfig.h
%{_includedir}/OpenEXR/PyImath*.h
%{_pkgconfigdir}/PyIlmBase.pc
%{_aclocaldir}/pyilmbase.m4
%changelog
* Sat Aug 28 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyilmbase.git;a=log;h=master

* Sat Aug 28 2021 Jan Rękorajski <baggins@pld-linux.org> 300aa4d
- build with -std=c++11 to make OpenEXR happy, rel 4

* Fri Jul 31 2020 Jakub Bogusz <qboosh@pld-linux.org> eaed962
- release 3 (boost 1.73)

* Mon Oct 07 2019 Jan Rękorajski <baggins@pld-linux.org> 5e7e7cf
- rebuild with boost 1.71
- release 2 (by relup.sh)

* Wed Apr 10 2019 Jakub Bogusz <qboosh@pld-linux.org> b38f253
- updated to 2.2.1 (note: new sonames)

* Sun Apr 09 2017 Jan Rękorajski <baggins@pld-linux.org> 628c15c
- rebuild with boost 1.63.0
- release 8 (by relup.sh)

* Tue May 17 2016 Elan Ruusamäe <glen@delfi.ee> 92c6807
- boost 1.61 rebuild
- release 7 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1d6b56c
- release 6 (by relup.sh)

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> a63db19
- release 5 (by relup.sh)

* Sun Jun 07 2015 Elan Ruusamäe <glen@delfi.ee> 5f2591a
- boost rebuild
- release 4 (by relup.sh)

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> 0107571
- rebuild with boost 1.57.0
- release 3 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> b407cfc
- rebuild with boost 1.56.0
- release 2 (by relup.sh)

* Fri Aug 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 8cb1ac3
- updated to 2.2.0
- removed obsolete am patch

* Sun Apr 06 2014 Jakub Bogusz <qboosh@pld-linux.org> a265de5
- updated to 2.1.0

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 013de80
- - rebuild with boost 1.55.0
- release 2 (by relup.sh)

* Sun Jul 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 2122aa1
- use non-parallel build to avoid OOM

* Sun Jul 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 16e2a1e
- updated to 2.0.1

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 247411d
- added am patch, rebuild ac/am/lt so that link patch takes an effect

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 50d76b1
- added link patch, make install -j1 (parallel install fails)

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 5438a90
- new

